# NAS 连接配置
nas:
  # 协议选择：smb | sftp | webdav
  protocol: smb
  
  # SMB 配置（群晖、威联通等通用）
  host: 192.168.1.100        # NAS IP 地址
  port: 445                   # SMB 端口
  username: admin             # 用户名
  password: your_password     # 密码
  share: media                # 共享文件夹名称
  
  # SFTP 配置（备用）
  # protocol: sftp
  # port: 22

# 文件分类规则
classification:
  # 按文件扩展名分类
  by_extension:
    enabled: true
    categories:
      documents: [pdf, doc, docx, xls, xlsx, ppt, pptx, txt, md, epub]
      images: [jpg, jpeg, png, gif, bmp, raw, heic, webp, svg]
      videos: [mp4, mkv, avi, mov, wmv, flv, webm, m4v]
      audio: [mp3, flac, wav, aac, ogg, wma, m4a]
      archives: [zip, rar, 7z, tar, gz, bz2]
      code: [py, js, ts, java, cpp, c, h, go, rs, sh, sql]
      torrents: [torrent]
      other: []
  
  # 按日期分类（年/月）
  by_date:
    enabled: false
    format: "%Y/%m"  # 按年/月 文件夹，如 2026/03
  
  # 按文件大小分类
  by_size:
    enabled: false
    categories:
      small: { max: 1048576 }           # < 1MB
      medium: { min: 1048576, max: 104857600 }  # 1MB - 100MB
      large: { min: 104857600 }         # > 100MB
      huge: { min: 1073741824 }         # > 1GB

# 源文件夹和目标文件夹
paths:
  source: /unsorted           # NAS 上待整理的文件夹
  destination: /organized     # NAS 上整理后的文件夹

# 运行模式
mode:
  type: once                  # once: 运行一次 | watch: 持续监控
  watch:
    interval: 60              # 检查间隔（秒）

# 高级选项
options:
  dry_run: false              # 试运行（不实际移动文件）
  skip_existing: true         # 跳过已存在的文件
  delete_empty_dirs: true     # 删除源目录中的空文件夹
  log_level: INFO             # DEBUG | INFO | WARNING | ERROR

# 日志配置
logging:
  file: logs/nas-organizer.log
  max_size: 10485760          # 10MB
  backup_count: 5
